/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-05
 * 描述            ：资材备件归集表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CostAcmMatMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_COST_ACM_MAT", namespace=CostAcmMatMapper.class)
public class CostAcmMat extends BaseVO implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8660510879858537580L;
	/** 
	 * 出库单号
	 */ 
	@Id
	private String out_bill_no;
	public String getOut_bill_no() {
		return this.out_bill_no;
	}
	public void setOut_bill_no(String out_bill_no) {
		this.out_bill_no = out_bill_no;
	}

	/** 
	 * 产品编码
	 */ 
	@Column
	private String mat_code;
	public String getMat_code() {
		return this.mat_code;
	}
	public void setMat_code(String mat_code) {
		this.mat_code = mat_code;
	}

	/** 
	 * 产品名称
	 */ 
	@Column
	private String mat_name;
	public String getMat_name() {
		return this.mat_name;
	}
	public void setMat_name(String mat_name) {
		this.mat_name = mat_name;
	}

	/** 
	 * 产品分类编码
	 */ 
	@Column
	private String srot_code;
	public String getSrot_code() {
		return this.srot_code;
	}
	public void setSrot_code(String srot_code) {
		this.srot_code = srot_code;
	}

	/** 
	 * 产品分类名称
	 */ 
	@Column
	private String srot_name;
	public String getSrot_name() {
		return this.srot_name;
	}
	public void setSrot_name(String srot_name) {
		this.srot_name = srot_name;
	}

	/** 
	 * 规格
	 */ 
	@Column
	private String spec;
	public String getSpec() {
		return this.spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 机台名称
	 */ 
	@Column
	private String machine_name;
	public String getMachine_name() {
		return this.machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	/** 
	 * 数量
	 */ 
	@Column
	private Double quantity_value;
	public Double getQuantity_value() {
		return this.quantity_value;
	}
	public void setQuantity_value(Double quantity_value) {
		this.quantity_value = quantity_value;
	}

	/** 
	 * 单价
	 */ 
	@Column
	private Double price_value;
	public Double getPrice_value() {
		return this.price_value;
	}
	public void setPrice_value(Double price_value) {
		this.price_value = price_value;
	}

	/** 
	 * 金额
	 */ 
	@Column
	private Double amount_value;
	public Double getAmount_value() {
		return this.amount_value;
	}
	public void setAmount_value(Double amount_value) {
		this.amount_value = amount_value;
	}

	/** 
	 * 单位
	 */ 
	@Column
	private String msr_unit;
	public String getMsr_unit() {
		return this.msr_unit;
	}
	public void setMsr_unit(String msr_unit) {
		this.msr_unit = msr_unit;
	}

	/** 
	 * 仓库编码
	 */ 
	@Column
	private String storage_code;
	public String getStorage_code() {
		return this.storage_code;
	}
	public void setStorage_code(String storage_code) {
		this.storage_code = storage_code;
	}

	/** 
	 * 出库区域
	 */ 
	@Column
	private String area;
	public String getArea() {
		return this.area;
	}
	public void setArea(String area) {
		this.area = area;
	}

	/** 
	 * 出库类型
	 */ 
	@Column
	private String out_type;
	public String getOut_type() {
		return this.out_type;
	}
	public void setOut_type(String out_type) {
		this.out_type = out_type;
	}

	/** 
	 * 领用部门
	 */ 
	@Column
	private String apply_dept;
	public String getApply_dept() {
		return this.apply_dept;
	}
	public void setApply_dept(String apply_dept) {
		this.apply_dept = apply_dept;
	}

	/** 
	 * 成本项目编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 成本组织代码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 成本组织名称
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 成本期间 如: 201905
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 出库日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date out_date;
	public Date getOut_date() {
		return this.out_date;
	}
	public void setOut_date(Date out_date) {
		this.out_date = out_date;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1有效 0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 是否审核(1审核 0未审核)
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * 审核人
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * 审核时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * 创建人 sysdate
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 更新人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 更新时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
